#ifndef OPENMANUS_TOOLS_TERMINATE_H
#define OPENMANUS_TOOLS_TERMINATE_H

#include "../tool_base.h"

namespace openmanus {

/**
 * @class Terminate
 * @brief 终止工具，用于终止代理的执行
 */
class Terminate : public ToolBase {
public:
    Terminate();
    virtual ~Terminate() = default;

    /**
     * @brief 执行终止工具
     * @param params 工具参数
     * @return 执行结果
     */
    virtual mcp::json execute(const mcp::json& params) override;
};

} // namespace openmanus

#endif // OPENMANUS_TOOLS_TERMINATE_H 