#ifndef OPENMANUS_TOOLS_PYTHON_EXECUTE_H
#define OPENMANUS_TOOLS_PYTHON_EXECUTE_H

#include "../tool_base.h"

namespace openmanus {

/**
 * @class PythonExecute
 * @brief Python执行工具，用于执行Python代码
 */
class PythonExecute : public ToolBase {
public:
    PythonExecute();
    virtual ~PythonExecute() = default;

    /**
     * @brief 执行Python代码
     * @param params 工具参数，包含code字段
     * @return 执行结果
     */
    virtual mcp::json execute(const mcp::json& params) override;
};

} // namespace openmanus

#endif // OPENMANUS_TOOLS_PYTHON_EXECUTE_H 